## nom.tam.fits
Class SkippedHDU

    java.lang.Object
      nom.tam.fits.BasicHDU
          nom.tam.fits.FauxHDU
              nom.tam.fits.SkippedHDU

class SkippedHDU
extends FauxHDU

Field Summary

Fields inherited from class nom.tam.fits.BasicHDU
`BITPIX_BYTE, BITPIX_DOUBLE, BITPIX_FLOAT, BITPIX_INT, BITPIX_LONG, BITPIX_SHORT, myData, myHeader`

Constructor Summary
`SkippedHDU()`

Method Summary
`void` `info()` Print out some information about this HDU.
`(package private) Data` `manufactureData()` Create a Data object to correspond to the header description.
`void` `throwException()`

Methods inherited from class nom.tam.fits.BasicHDU
`checkField, getAuthor, getAxes, getBitPix, getBlankValue, getBScale, getBUnit, getBZero, getCreationDate, getData, getEpoch, getEquinox, getGroupCount, getHeader, getInstrument, getMaximumValue, getMinimumValue, getObject, getObservationDate, getObserver, getOrigin, getParameterCount, getReference, getSize, getTelescope, getTrimmedString, isHeader, readData, skipData, skipData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkippedHDU

    public SkippedHDU()

Method Detail

### throwException

    public void throwException()
                        throws FitsException

  Specified by:
    `throwException` in class `FauxHDU`
  Throws:
    `FitsException`

### info

    public void info()

  Description copied from class: `BasicHDU`
  Print out some information about this HDU.

  Specified by:
    `info` in class `BasicHDU`

### manufactureData

    Data manufactureData()
                   throws FitsException

  Description copied from class: `BasicHDU`
  Create a Data object to correspond to the header description.

  Specified by:
    `manufactureData` in class `BasicHDU`
  Returns:
    An unfilled Data object which can be used to read in the data for this HDU.
  Throws:
    `FitsException` - if the Data object could not be created from this HDU's Header